#ifndef XS_TEST_TESTER_H_INCLUDED
#define XS_TEST_TESTER_H_INCLUDED

#include <memory>

#include <boost/filesystem.hpp>

#include "positivegrid/exchange_server.h"
#include "test/Config.h"


namespace xs { namespace test
{
    class Tester final
    {
    public:
        Tester() = delete;
        ~Tester() noexcept = default;

        Tester(const Tester&) = delete;
        Tester(Tester&&) = delete;

        Tester& operator=(const Tester&) = delete;
        Tester& operator=(Tester&&) = delete;

        explicit Tester(const boost::filesystem::path& file);

    private: 

    public:
        Config config_;
        ExchangeServer server_;
    };
} }

#endif
